// JavaScript Document
//HTML5 Ad Template JS by ADSOLUTIONS 
function init() {
var vid = document.getElementById("videoPlayer"); 
var banana = document.getElementById('banana');
var bubble = document.getElementById('bubble');
var playButton = document.getElementById('playButton');
var background = document.getElementById("background");
var expandButton = document.getElementById('expandButton');
var contracted = false;
var isPlaying = false; 
vid.muted = true;

/////Adds VAST reporting/////
ADTECH.registerVideoPlayer(vid);

playButton.onclick = function(e){
	vid.style.opacity = 1;
	vid.play();
	isPlaying = true;
	playButton.style.display = 'none';
};

/////Defines what should occur when the video finishes/////
vid.onended = function(){
	vid.style.opacity = 0;
    playButton.style.display = 'block';
};

closeButton.onclick = function(e){
		///// Contract Event shown in reporting /////
		ADTECH.contract();
		if(isPlaying){
     vid.pause();
		}
		contracted = true;
		/////Add any elements that should be hidden in the contracted state of the add/////
		var elm = [playButton,closeButton,videoContainer,banana,bubble,logo];
		for(i = 0; i < elm.length; i++){
			if ( elm[i].className.match(/(?:^|\s)hide(?!\S)/) === null){
				elm[i].className += " hide";	 
			}		  
		}
		document.getElementById("background").className = " contracted";
	    expandButton.style.display = "block";
};

expandButton.onclick = function(e){
  if(contracted){  
	///// Expand Event shown in reporting /////
    ADTECH.expand();
	///// Add any elements that should be visible in the expanded state /////
    var expC = [vid, playButton, closeButton, videoContainer,banana,bubble,logo];
    for(i = 0; i < expC.length; i++){
      if ( expC[i].className.match(/(?:^|\s)hide(?!\S)/)){
        expC[i].className = expC[i].className.replace(/(?:^|\s)hide(?!\S)/, "");   
      }    
    }   
  }
    
  expandButton.style.display = "none";
  background.className = " expanded";
  contracted = false;
  if(isPlaying){
    vid.play();
  }
};  
///// Set your desired click name plus cick URL: ADTECH.click("yourname","yourURL"); /////	
background.onclick = function(e){
  e = e || window.event; var obj = e.target || e.srcElement;
      if(!contracted && obj.className.indexOf("button") == -1){
        ADTECH.click("expanded", "http://www.adsolutions.com");
      }  
};         
}
ADTECH.ready(init);
